<?php
require_once ("../../config/Cado.php");
require_once("cPiso.php");
$oPiso =new cPiso();
if($_POST['action_piso']=="insertar")
{
	if(!empty($_POST['txt_piso_nom']))
	{		
		$oPiso->insertar($_POST['txt_piso_nom'], $_POST['cmb_local_id'],$_POST['cmb_alm_id']);
		$data['piso_msj']='Piso Registrado correctamente.';
		echo json_encode($data);
	}
	else
	{
		$data['piso_msj']='Intentelo nuevamente.';
		echo json_encode($data);
	}
}
if($_POST['action_piso']=="editar")
{ 
	if(!empty($_POST['txt_piso_nom']))
	{
		$oPiso->modificar($_POST['hdd_piso_id'], $_POST['txt_piso_nom'], $_POST['cmb_local_id'],$_POST['cmb_alm_id']);
		$data['piso_msj']='Piso Modificado correctamente.';
		echo json_encode($data);
	}
	else
	{
		$data['piso_msj']='Intentelo nuevamente.';
		echo json_encode($data); 
	}
}
/*if($_POST['action']=="eliminar")
{
	if(!empty($_POST['tar_id']))
	{
		$cst1 = $oTarjeta->verifica_tarjeta_tabla($_POST['tar_id'],'tb_ventapago');
		$rst1= mysqli_num_rows($cst1);
		if($rst1>0)$msj1=' - Pagos en Ventas';
		
		if($rst1>0)
		{
			echo "No se puede eliminar, afecta información de: ".$msj1.".";
		}
		else
		{
			$oTarjeta->eliminar($_POST['tar_id']);
			echo 'Se eliminó tarjeta correctamente.';
		}
	}
	else
	{
		echo 'Intentelo nuevamente.';
	}
}*/
if($_POST['action']=="eliminar")
{
	if(!empty($_POST['piso_id']))
	{	
		$oPiso->eliminar($_POST['piso_id']);
		echo 'Piso Eliminado.';
	}
}
?>